Hooks:PostHook(HUDMissionBriefing, 'init', 'RHD#31536_HUDMissionBriefing_init',
function(self)
	local panel = self._job_schedule_panel
	local num_stages = self._current_job_chain and #self._current_job_chain or 0
	for i = 7, 1, - 1 do
		local day_text = panel:child('day_' .. tostring(i))
		if (i > num_stages - 1) then
			day_text:set_left(0)
			if (i > num_stages) then
				day_text:set_visible(false)
			end
		else
			day_text:set_left(panel:child("day_" .. tostring(i + 1)):right())
		end
		if (i == num_stages + 1 - managers.job:current_stage()) then
			day_text:set_font(Idstring(tweak_data.menu.pd2_medium_font))
			day_text:set_font_size(tweak_data.menu.pd2_medium_font_size)
		else
			day_text:set_font(Idstring(tweak_data.menu.pd2_small_font))
			day_text:set_font_size(tweak_data.menu.pd2_small_font_size)
		end 
		local ghost = panel:child('ghost_' .. tostring(i))
		ghost:set_center(day_text:center_x(), day_text:center_y() + day_text:h() * 0.25)
		local ghost_visible = i <= num_stages and managers.job:is_job_stage_ghostable(managers.job:current_real_job_id(), i)
		ghost:set_visible(ghost_visible)
		if ghost_visible then
			self:_apply_ghost_color(panel:child('ghost_' .. tostring(num_stages + 1 - i)), i, not Network:is_server())
		end
	end
	for i = 1, managers.job:current_stage() or 0 do
		local stage_marker = panel:child('stage_done_' .. tostring(i))
		stage_marker:set_center(self._job_schedule_panel:child("day_" .. tostring(num_stages + 1 - i)):center())
		stage_marker:move(math.random(4) - 2, math.random(4) - 2)
	end
	if managers.job:has_active_job() then
		local payday_stamp = panel:child('payday_stamp')
		payday_stamp:set_center(self._job_schedule_panel:child("day_" .. tostring(1)):center())
		payday_stamp:move(math.random(4) - 2 - 7, math.random(4) - 2 + 8)
	end
	if managers.job:current_job_data().name_id == "heist_rvd" then
		local day_1_sticker = panel:child(#panel:children() - 2) 
		day_1_sticker:set_center(panel:child('day_1'):center())
		day_1_sticker:move(math.random(4) - 2, math.random(4) - 2)
		local day_2_sticker = panel:child(#panel:children() - 1)
		day_2_sticker:set_center(panel:child('day_2'):center())
		day_2_sticker:move(math.random(4) - 2, math.random(4) - 2)
	end
end)